<?php

/**
 * @file
 * Hooks provided by Elementree module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Additional list of user configs user for token generation.
 *
 *  This hook is invoked from _elementree_build_user_token_data().
 *
 * @return array
 *   Additional list of user configs which could be useful for token
 *   generation.
 */
function hook_elementree_user_token_data(): array {
  $data = [];
  if (\Drupal::moduleHandler()->moduleExists('group')) {
    $data['groups'] = \Drupal::service('group.membership_loader')
      ->loadByUser();
  }
  return $data;
}

/**
 * @} End of "addtogroup hooks".
 */
