<?php

declare(strict_types = 1);

namespace Drupal\elementree;

use Firebase\JWT\JWT;
use Firebase\JWT\Key;

/**
 * Defines the JWT service class.
 */
final class ElementreeJwtService implements ElementreeJwtServiceInterface {

  /**
   * The encoded algorithm.
   *
   * @var string
   */
  protected $alg = 'HS256';

  /**
   * {@inheritdoc}
   */
  public function encode($payload): string {
    $key = getenv('ELEMENTREE_OPENSSL_KEY');
    return JWT::encode($payload, $key, $this->alg);
  }

  /**
   * {@inheritdoc}
   */
  public function decode($jwt): \stdClass {
    $key = getenv('ELEMENTREE_OPENSSL_KEY');
    return JWT::decode($jwt, new Key($key, $this->alg));
  }

}
