<?php

declare(strict_types = 1);

namespace Drupal\elementree;

/**
 * Defines a JWT encode/decode service interface.
 */
interface ElementreeJwtServiceInterface {

  /**
   * Encode a PHP array into a JWT string.
   */
  public function encode($payload): string;

  /**
   * Decode a JWT string into a PHP object.
   */
  public function decode($jst): \stdClass;

}
